Skip to main content
POST
/
generate
/
video
/
google
/
veo-2
Veo 2
curl --request POST \
  --url https://api.krea.ai/generate/video/google/veo-2 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "Moss-covered forest, with ancient trees and a floor lit by fireflies."
}
'
{
  "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "completed_at": null,
  "result": null,
  "error": {
    "code": "<string>",
    "message": "<string>"
  }
}

Pricing

Fixed API prices in USD.
Price: $0.50 per second
These aliases are accepted for compatibility only and are not shown in the request schema.
DeprecatedUse insteadAccepted until
startImagestart_image2026-06-19
startVideostart_video2026-06-19
aspectRatioaspect_ratio2026-06-19
image_urlstart_image2026-06-19

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Webhook-URL
string<uri>

URL to receive a POST request when the job completes. The webhook will receive the job data including results.

Body

application/json
prompt
string
required
start_image
string<uri> | null
start_video
string<uri> | null
aspect_ratio
enum<string>
default:16:9
Available options:
16:9,
9:16
duration
number
default:5
Required range: 5 <= x <= 8

Response

The resulting job data. This will be returned in a pending state until the job is completed. See /jobs/{id} for retrieving the results.

job_id
string<uuid>
required
status
enum<string>
required
Available options:
backlogged,
queued,
scheduled,
processing,
sampling,
intermediate-complete,
completed,
failed,
cancelled
created_at
string<date-time>
required
completed_at
null
required
result
null
required
error
object